Extending Qt Creator Manual | CustomExecutableRunConfiguration

Extending Qt Creator Manual 4.3.0

# CustomExecutableRunConfiguration Class

(ProjectExplorer::CustomExecutableRunConfiguration)

Inherits: | ProjectExplorer::RunConfiguration

- List of all members, including inherited members

## Public Functions

| CustomExecutableRunConfiguration(Target *parent)
QString | executable() const
QString | workingDirectory() const

- 13 public functions inherited from ProjectExplorer::RunConfiguration
- 11 public functions inherited from ProjectExplorer::ProjectConfiguration

## Signals

void | changed()

- 3 signals inherited from ProjectExplorer::RunConfiguration
- 2 signals inherited from ProjectExplorer::ProjectConfiguration

## Protected Functions

| CustomExecutableRunConfiguration(Target *parent, CustomExecutableRunConfiguration *source)
QString | defaultDisplayName() const

- 1 protected function inherited from ProjectExplorer::RunConfiguration

## Member Function Documentation

### CustomExecutableRunConfiguration::CustomExecutableRunConfiguration(Target *parent)

Default constructs an instance of CustomExecutableRunConfiguration.

### `[protected]` CustomExecutableRunConfiguration::CustomExecutableRunConfiguration(Target *parent, CustomExecutableRunConfiguration *source)

Default constructs an instance of CustomExecutableRunConfiguration.

### `[signal]` void CustomExecutableRunConfiguration::changed()

### `[protected]` QString CustomExecutableRunConfiguration::defaultDisplayName() const

### QString CustomExecutableRunConfiguration::executable() const

### QString CustomExecutableRunConfiguration::workingDirectory() const